## keystone 8.0.0

=== debian/changelog ===
keystone (2:8.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:58:56 -0400

keystone (2:8.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:29:02 -0400

keystone (2:8.0.0~rc1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Update to cope with upstream rc versioning.
  * d/control: Bump minimum pbr version to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Sep 2015 09:14:16 +0100

keystone (2:8.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/control: Set minimum version requirement for passlib >= 1.6.
  * d/control: Set minimum version requirement for routes >= 2.2.
  * d/control: Add BD's on ldap, ldappool and pymongo to resolve unit
    testing failures for optional features.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Sep 2015 14:48:27 +0100

keystone (2:8.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/add-version-info.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:58:20 -0400

keystone (2:8.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/control: Add python-pymysql to (build-)depends.
  * d/keystone.install: Remove convert_to_sqlite.sh as upstream has removed it.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Aug 2015 09:43:03 -0400

keystone (2:8.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/default-log-dir.patch: Rebased.
  * d/p/add-version-info.patch: Rebased.
  * d/p/skip-drop-fk-sqlite.patch: Dropped. Fixed upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 11:18:08 -0400

keystone (2:8.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-drop-fk-sqlite.patch: Cherry pick fix for SQlAlchemy >= 1.0
    compatiblity from upstream VCS.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 10:39:31 +0100

keystone (2:8.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack Liberty.
    - d/control: Align with upstream dependencies and versions.
    - d/p/*: Refresh.
  * d/s/options: Ignore any changes to egg-info files.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 11:03:43 +0100

keystone (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 16:16:32 +0200

keystone (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  - New upstream milestone:
    - d/control: Align with upstream version requirements.
    - d/add-version-info.patch: Refreshed

  [ James Page ]
  * d/p/pep-0476.patch: Dropped, included upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:57:49 -0400

keystone (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * d/pydist-overrides: Add overrides for oslo packages.
  * New upstream milestone:
    - d/p/*: Refreshed.
    - d/control: Align with upstream version requirements.
    - d/control: Add new dependencies on oslo-log, oslo-policy, cryptography
      and msgpack.
  * Enable federation support as now part of core pipeline:
    - d/control: Add BD on pysaml2.
    - d/p/skip-pysaml2.patch: Dropped, no longer required.
  * d/keystone.logrotate: Wildcard log file matching to ensure any keystone
    log files are rotated, irrespective of naming (LP: #1426530).
  * d/python-keystone.install: Install wsgi wrapper as this is now the
    recommended deployment option from upstream (LP: #1426462).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:15:48 +0100

keystone (1:2015.1~b2-0ubuntu4) vivid; urgency=medium

  * d/t/keystone-paste.ini,keystone-daemon: Drop autopkgtest specific ini
    file and use package supplied file instead; allow keystone daemons to
    start prior to testing for presence.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 12:39:07 +0000

keystone (1:2015.1~b2-0ubuntu3) vivid; urgency=medium

  * d/p/skip-pysaml2.patch,d/control: Drop pysaml2 from BD's, restore test
    to skip unit tests for now. Ubuntu MIR still outstanding and we need to
    fix systemd support for testing.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 11:28:54 +0000

keystone (1:2015.1~b2-0ubuntu2) vivid; urgency=medium

  * d/control: Drop python-sqlite from BD's, as it supports optional unit
    test cases only. 

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 10:38:57 +0000

keystone (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-ubuntu-tests.patch: Dropped. Patched code has been removed.
    - d/p/sql_connection.patch: Rebased.
    - d/p/default-log-dir.patch: Rebased.
    - d/p/add-version-info.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Feb 2015 16:12:01 -0500

keystone (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:26:11 +0000

keystone (1:2015.1~b1-0ubuntu2) vivid; urgency=medium

  * Systemd enablement:
    - d/control: Add BD's on openstack-pkg-tools, dh-systemd.
    - d/rules: Enable use of dh-systemd and templated init configuration
      generation.
    - d/keystone.init.in: Cherry pick template configuration from
      Debian package (thanks Thomas).
    - d/keystone.upstart: Drop in preference to generated file.

