=== debian/changelog ===
keystone (2:8.1.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Jun 2016 13:58:25 +0000

keystone (2:8.1.2-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh.

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Liberty (LP: #1587589).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 31 May 2016 13:54:41 -0400

keystone (2:8.1.0-0ubuntu1) wily; urgency=medium

  * New upstream stable release (LP: #1559935).

 -- James Page <james.page@ubuntu.com>  Mon, 21 Mar 2016 10:31:51 +0000

keystone (2:8.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 12:02:10 +0000
