=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-apparmor,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     python-bashate,
                     python-coverage,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.5.7),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-greenlet,
                     python-hacking,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-ldap,
                     python-ldappool,
                     python-lxml,
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.10.0),
                     python-mock (>= 1.3),
                     python-msgpack,
                     python-oauthlib,
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.5.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-os-testr (>= 0.4.1),
                     python-pam,
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy,
                     python-pycadf (>= 1.1.0),
                     python-pymongo (>= 3.0.1),
                     python-pysaml2 (>= 3.0.0),
                     python-pysqlite2,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://keystone.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/keystone.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/keystone.git

Package: python-keystone
Architecture: all
Section: python
Depends: python-crypto,
         python-cryptography (>= 1.0),
         python-dateutil,
         python-dogpile.cache (>= 0.5.7),
         python-eventlet (>= 0.18.4),
         python-greenlet,
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-ldap,
         python-ldappool,
         python-lxml,
         python-memcache (>= 1.56),
         python-migrate (>= 0.10.0),
         python-msgpack,
         python-mysqldb,
         python-oauthlib,
         python-openstackclient (>= 1.6.0),
         python-oslo.cache (>= 1.5.0), 
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.5.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pam,
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 3.0.0),
         python-pysqlite2,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Depends: adduser,
         dbconfig-common,
         init-system-helpers,
         python-keystone (= ${source:Version}),
         q-text-as-data,
         sqlite3,
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Suggests: apparmor
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.
