=== debian/changelog ===
keystone (2:9.3.0-0ubuntu3.2~cloud0) trusty-mitaka; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 18 Jan 2018 22:09:58 +0000

keystone (2:9.3.0-0ubuntu3.2) xenial; urgency=medium

  * LDAP backend performance improvements (LP: #1582585)
    - d/p/prevent-error-when-duplicate-mapping-is-created.patch:
      Handle races for creating id mappings.
    - d/p/added-cache-for-id-mapping-manager.patch: Add a cache to
      the id mapping manager to improve performance.
    - d/p/add-mapping_populate-command.patch: Add a keystone-manage
      command to populate id mappings between backend identity
      provider and keystone database.
    - d/p/faster-id-mapping-lookup.patch: Allow querying for all
      public ids in a domain at once instead of N queries (one per
      entity).
    - d/p/fallback-for-custom-id-map-drivers.patch: Add fallback
      path for faster-id-mapping lookup for any customer id mapping
      drivers that may be in use or existing deployments.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 10 Jan 2018 14:24:36 -0700

keystone (2:9.3.0-0ubuntu3.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Incorrect role assignment with federated Keystone
    - debian/patches/CVE-2017-2673.patch: do not fetch group assignments
      without groups in keystone/assignment/core.py.
    - CVE-2017-2673
  - debian/patches/fix_requirements.patch: fix ftbfs.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Aug 2017 10:41:13 -0400

keystone (2:9.3.0-0ubuntu3) xenial; urgency=medium

  * d/p/keystone_manage_mapping_engine_fix.patch: Fix keystone-manage
    mapping_engine usability issues (LP: #1655182).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 25 Jul 2017 17:53:12 +0100

keystone (2:9.3.0-0ubuntu2) xenial; urgency=high

  * d/p/0001-Make-flushing-tokens-more-robust.patch: Commit
    token flushes between batches in order to lower resource
    consumption and make flushing more robust for replication
    (LP: #1649616).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 07 Jun 2017 10:33:50 +0100

keystone (2:9.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for Openstack Mitaka. (LP: #1680098) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Apr 2017 10:02:04 -0400

keystone (2:9.2.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1619318).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 08:23:13 -0400

keystone (2:9.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1614131).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 10:29:04 -0400

keystone (2:9.0.2-0ubuntu2) xenial; urgency=medium

  * d/keystone.install: Install sso_callback_template.html in /etc/keystone,
    where keystone.conf looks for it by default (LP: #1578102).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Aug 2016 10:26:34 -0400

keystone (2:9.0.2-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1592865).
  * d/p/sql_connection.patch: Rebased.
  * d/p/add-version-info.patch: Rebased.
  * d/p/default-log-dir.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 17 Jun 2016 13:40:58 -0400

keystone (2:9.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 14:16:00 -0400

keystone (2:9.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:29:07 -0400

keystone (2:9.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 15:03:28 -0500

keystone (2:9.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/doc-conf-git.patch: Drop git commands that fail sphinx-build.
  * d/p/add-version-info.patch: Update test to account for Ubuntu header.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 14:19:06 -0500

keystone (2:9.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/add-version-info.patch: Rebased.
  * d/p/default-log-dir.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 11:41:01 -0500
